#include<bits/stdc++.h>
using namespace std;
int main(){
int n;
cin>>n;
int i=0;
int minati=1;
int m[100000];

for(int i=1; i<=n; i++){
    m[i]=i;
}
//cout<<"NA PURVA STUPKA:\n";

for(int i=1; i<=n; i++){

    if(minati==1){
     // cout<<m[i]<<" ";
        minati=0;
    }else{
    minati++;
m[i]=0;
    }
}
sort(m,m+n);
//cout<<endl;
//cout<<"NA VTORA STUPKA:\n";
minati=2;
for(int i=2; i<=n; i++){

    if(minati==2 && m[i]!=0){
   //   cout<<m[i]<<" ";
minati=0;
    }else if(minati<=2 && m[i]!=0){
    minati++;
m[i]=0;

    }

}

sort(m,m+n);
minati=3;
//cout<<endl;
cout<<m[n-1];



return 0;
}
